System.ComponentModel.DataAnnotations 4.0.0.0 System.ComponentModel.DataAnnotations.DataTypeAttribute System.AttributeUsage(System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.Parameter | System.AttributeTargets.All, AllowMultiple=false) To be added.

Specifies that a data field value is a well-formed phone number using a regular expression for phone numbers.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the specified phone number is in a valid phone number format.

  true if the phone number is valid; otherwise, false.

  The value to validate.